body {
    font-family: -apple-system, BlinkMacSystemFont, sans-serif;
    font-size: 16px;
}
.jmrflx01-clear-both {
	clear:both;
}

.jmrflx01-wrapper {
	width:400px;
	height:800px;
	overflow-y: auto;
}
.jmrflx01-container {
	width:400px;
	height:800px;
	display: table-cell;
	vertical-align: bottom;
	padding-bottom: 12px;
}
.jmrflx01-chat-bubble-incoming {
	border-radius:12px;
	max-width: calc(100% - 80px);
	float:left;
	padding: 16px 16px 2px 16px;
	margin-left:12px;
	margin-top:6px;
	color:#222222;
	background-color: #efefef;
}
.jmrflx01-chat-bubble-incoming:after {
    content: '';
    top: -1px;
    left: 0px;
    margin-left: -31px;
    position: relative;
    border: 0px solid;
    display: block;
    width: 15px;
    height: 11px;
    background-color: transparent;
    border-bottom-left-radius: 50%;
    border-bottom-right-radius: 50%;
    box-shadow: -11px 5px 0px 4px #efefef;
    -moz-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    transform: scaleX(-1);
    -ms-filter: fliph;
    filter: fliph;
}
.jmrflx01-chat-bubble-incoming-talking-animation {
	border-radius:12px;
	max-width: calc(100% - 86px);
	float:left;
	padding: 8px 16px 2px 8px;
	margin-left: 12px;
	margin-top:6px;
	color:#222222;
	background-color: #efefef;
}
.jmrflx01-chat-bubble-incoming-talking-animation:after {
    content: '';
    top: 6px;
    left: 100%;
    margin-left: -61px;
    position: relative;
    border: 0px solid;
    display: block;
    width: 15px;
    height: 11px;
    background-color: transparent;
    border-bottom-left-radius: 50%;
    border-bottom-right-radius: 50%;
    box-shadow: -11px 5px 0px 4px #efefef;
    -moz-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    transform: scaleX(-1);
    -ms-filter: fliph;
    filter: fliph;
}
.jmrflx01-chat-bubble-outgoing {
	border-radius:12px;
	max-width: calc(100% - 86px);
	float:right;
	padding: 16px 16px 2px 16px;
	margin-right: 19px;
	margin-top:6px;
	background-color: #66a7ff;
	color: #fff;
}
.jmrflx01-chat-bubble-outgoing:after {
    content: '';
    top: -2px;
    left: 100%;
    margin-left: 16px;
    position: relative;
    border: 0px solid;
    display: block;
    width: 15px;
    height: 11px;
    background-color: transparent;
    border-bottom-left-radius: 50%;
    border-bottom-right-radius: 50%;
    box-shadow: -11px 5px 0px 4px #66a7ff;
}
.jmrflx01-chat-bubble-outgoing-talking-animation {
	border-radius:12px;
	max-width: calc(100% - 86px);
	float:right;
	padding: 8px 16px 2px 8px;
	margin-right: 19px;
	margin-top:6px;
	background-color: #66a7ff;
	color: #fff;
}
.jmrflx01-chat-bubble-outgoing-talking-animation:after {
    content: '';
    top: 3px;
    left: 100%;
    margin-left: 16px;
    position: relative;
    border: 0px solid;
    display: block;
    width: 15px;
    height: 11px;
    background-color: transparent;
    border-bottom-left-radius: 50%;
    border-bottom-right-radius: 50%;
    box-shadow: -11px 5px 0px 4px #66a7ff;
}
.jmrflx01-chat-bubble-header-container {
	width:100%;
	height:24px;
}
.jmrflx01-chat-bubble-header-name {
	float:left;
	color:#414141;
	margin-right: 16px;
}
.jmrflx01-chat-bubble-header-name-image {
	float: left;
	color: #717171;
	margin-right: 10px;
	width: 25px;
	height: 25px;
	border: 1px solid #ddd;
	border-radius: 20px;
	margin-top: -6px;
	background-color: #fff;
}
.jmrflx01-chat-bubble-header-time {
	float: right;
	color: #696969;
}
.jmrflx01-new-date {
	width:100%;
	text-align: center;
	padding-top: 12px;
	height: 16px;
	padding-bottom:8px;
	color:#222222;
	clear:both;
}
.jmrflx01-chat-person-icon {
	width: 22px;
	height: 22px;
	margin-top: 2px;
	margin-left: 2px;
	border-radius: 20px;
}
.jmrflx01-chat-bubble-outgoing .jmrflx01-chat-bubble-header-time {
	float: right;
	color: #ffffff;
}
.jmrflx01-chat-bubble-stacked {
	padding:16px;
}
.jmrflx01-chat-bubble-stacked:after {
	display:none;
}
.jmrflx01-talking-animation-img {
	height: 9px;
	margin-top: 2px;
	margin-left: 6px;
	margin-bottom: 6px;
	float: left;
}